Subject: Offline Message from Rohit Iyer: I purchased a Swagtron Swagcycle EB-12 last
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 21 May 2022 05:00:40 -0000

From: Rohit Iyer <[email-masked]>
Phone: 8133948371
Location: Brooklyn, United States
URL: https://swagtron.com/
Department: SwagTron

I purchased a Swagtron Swagcycle EB-12 last Friday, 5/13, with an expected delivery date of 3-5 business days. The initial expected delivery date was 5/18, then changed to 5/19, then changed to 5/20. I was just speaking to a representative from UPS who said the package was never shipped from the supplier because incorrect dimensions were given. I am incredibly frustrated that I was never informed about this, it is absolutely terrible customer service. I need to know when I will be receiving the bike that I paid for.
Thank you,
Rohit Iyer

----
Zopim
https://www.zopim.com